# kol-input-radio

<!-- Auto Generated Below -->


## Overview

The **InputRadio** input type consists of a collection of radio elements, providing a choice between different values. Only a single value can be selected at a time. Selected radio elements are typically represented by a filled, visually highlighted circle.

## Properties

| Property              | Attribute        | Description                                                                                                                                                  | Type                                                                                                                               | Default      |
| --------------------- | ---------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------- | ------------ |
| `_disabled`           | `_disabled`      | Makes the element not focusable and ignore all events.                                                                                                       | `boolean \| undefined`                                                                                                             | `false`      |
| `_hideLabel`          | `_hide-label`    | Hides the caption by default and displays the caption text with a tooltip when the interactive element is focused or the mouse is over it.                   | `boolean \| undefined`                                                                                                             | `false`      |
| `_hideMsg`            | `_hide-msg`      | Hides the error message but leaves it in the DOM for the input's aria-describedby.                                                                           | `boolean \| undefined`                                                                                                             | `false`      |
| `_hint`               | `_hint`          | Defines the hint text.                                                                                                                                       | `string \| undefined`                                                                                                              | `''`         |
| `_label` _(required)_ | `_label`         | Defines the visible or semantic label of the component (e.g. aria-label, label, headline, caption, summary, etc.). Set to `false` to enable the expert slot. | `string`                                                                                                                           | `undefined`  |
| `_msg`                | `_msg`           | Defines the properties for a message rendered as Alert component.                                                                                            | `Omit<AlertProps, "_on" \| "_label" \| "_level" \| "_variant" \| "_hasCloser"> & { _description: string; } \| string \| undefined` | `undefined`  |
| `_name`               | `_name`          | Defines the technical name of an input field.                                                                                                                | `string \| undefined`                                                                                                              | `undefined`  |
| `_on`                 | --               | Gibt die EventCallback-Funktionen für das Input-Event an.                                                                                                    | `InputTypeOnBlur & InputTypeOnClick & InputTypeOnChange & InputTypeOnFocus & InputTypeOnInput & InputTypeOnKeyDown \| undefined`   | `undefined`  |
| `_options`            | `_options`       | Options the user can choose from.                                                                                                                            | `RadioOption<StencilUnknown>[] \| string \| undefined`                                                                             | `undefined`  |
| `_orientation`        | `_orientation`   | Defines whether the orientation of the component is horizontal or vertical.                                                                                  | `"horizontal" \| "vertical" \| undefined`                                                                                          | `'vertical'` |
| `_required`           | `_required`      | Makes the input element required.                                                                                                                            | `boolean \| undefined`                                                                                                             | `false`      |
| `_tooltipAlign`       | `_tooltip-align` | Defines where to show the Tooltip preferably: top, right, bottom or left.                                                                                    | `"bottom" \| "left" \| "right" \| "top" \| undefined`                                                                              | `'top'`      |
| `_touched`            | `_touched`       | Shows if the input was touched by a user.                                                                                                                    | `boolean \| undefined`                                                                                                             | `false`      |
| `_value`              | `_value`         | Defines the value of the element.                                                                                                                            | `boolean \| null \| number \| object \| string \| undefined`                                                                       | `null`       |
| `_variant`            | `_variant`       | Defines which variant should be used for presentation.                                                                                                       | `string \| undefined`                                                                                                              | `undefined`  |


## Methods

### `click() => Promise<void>`

Clicks the primary interactive element inside this component.

#### Returns

Type: `Promise<void>`



### `focus(options?: KolFocusOptions) => Promise<void>`

Sets focus on the internal element.

#### Parameters

| Name      | Type                           | Description |
| --------- | ------------------------------ | ----------- |
| `options` | `KolFocusOptions \| undefined` |             |

#### Returns

Type: `Promise<void>`



### `getValue() => Promise<StencilUnknown>`

Returns the current value.

#### Returns

Type: `Promise<StencilUnknown>`




## Slots

| Slot | Description                              |
| ---- | ---------------------------------------- |
|      | The legend/heading of the radio buttons. |


----------------------------------------------


